ACLs for Parameters need to be more fine grained
11/15/2011 06:35 AM - Greg Sutcliffe

Status: Closed
Assignee: Greg Sutcliffe
Category:

Target version: 1.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Currently, a user cannot delete a parameter unless he has permission to delete the whole host. That's not going to work in our
infrastructure, and | suspect the same for others too. | want to give lower levels of support the ability to modify a host (including
creating or destroying parameters) but not to delete the whole host (along with it's reports, which are valuable).

Furthermore, it probably makes sense to have a similar separation for the classes tab as well - I'd really like to restrict one level of
support to parameters only, and the next level to editing (but not deleting) the whole host, and the top level has full access. However,
only the parameter AClI is really needed right now.

I'm happy to have a go at this, so this feature request is mainly to remind me :)

Associated revisions

Revision 54358a76 - 02/23/2012 08:23 AM - Greg Sutcliffe

fixes #1324 - Separate permssions on hosts from permissions for objects within hosts.

This allows a user to be granted permission to edit the host (and so change the group or proxy) but not, for example, edit the parameters
This could probably be extended further if necessary.

Revision 8fec2c4a - 02/23/2012 09:54 AM - Ohad Levy
refs #1324 remove debugging code

History

#1 - 02/11/2012 01:17 PM - Greg Sutcliffe
- Assignee set to Greg Sutcliffe
- Target version set to 1.0

- % Done changed from 0 to 70

This is ready for merge (tests pass cleanly), but I'm going to roll #1484 into this, so hold off until | get that done.

#2 - 02/23/2012 08:27 AM - Greg Sutcliffe
- Status changed from New to Closed

- % Done changed from 70 to 100

Applied in changeset 54358a76e4fc7355c51404{6888cb66600a27fdc.
